# Generated by Django 4.1.5 on 2023-02-06 11:27

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('pig', '0001_initial'),
        ('action', '0001_initial'),
        ('location', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='eventlog',
            name='responsible',
            field=models.ForeignKey(blank=True, help_text='responsible | Ответственный', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='events', to=settings.AUTH_USER_MODEL, verbose_name='Ответственный'),
        ),
        migrations.AddField(
            model_name='eventlog',
            name='sector',
            field=models.ForeignKey(blank=True, help_text='sector | Сектор', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='events', to='location.locality', verbose_name='Сектор'),
        ),
        migrations.AddField(
            model_name='eventlog',
            name='unit_pig',
            field=models.ForeignKey(help_text='unit_pig | Свино-единица', on_delete=django.db.models.deletion.CASCADE, related_name='events', to='pig.unitpig', verbose_name='Свино-единица'),
        ),
    ]
